osgAnimation::ActionBlendIn Class Reference

blend in from 0 to weight in duration More...

`#include <ActionBlendIn>`

Inheritance diagram for osgAnimation::ActionBlendIn:

## Public Member Functions

| META_Action (osgAnimation, ActionBlendIn)
| ActionBlendIn ()
| ActionBlendIn (const ActionBlendIn &a, const osg::CopyOp &c)
| ActionBlendIn (Animation *animation, double duration, double weight)
double | getWeight () const
Animation * | getAnimation ()
void | computeWeight (unsigned int frame)
Public Member Functions inherited from osgAnimation::Action
| META_Action (osgAnimation, Action)
| Action ()
| Action (const Action &, const osg::CopyOp &)
void | setCallback (double when, Callback *callback)
void | setCallback (unsigned int frame, Callback *callback)
Callback * | getCallback (unsigned int frame)
void | removeCallback (Callback *)
Callback * | getFrameCallback (unsigned int frame)
Callback * | getFrameCallback (double time)
unsigned int | getFramesPerSecond () const
void | setNumFrames (unsigned int numFrames)
void | setDuration (double duration)
unsigned int | getNumFrames () const
double | getDuration () const
virtual void | setLoop (unsigned int nb)
virtual unsigned int | getLoop () const
bool | evaluateFrame (unsigned int frame, unsigned int &resultframe, unsigned int &nbloop)
virtual void | traverse (ActionVisitor &)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

double | _weight
osg::ref_ptr< Animation > | _animation
Protected Attributes inherited from osgAnimation::Action
FrameCallback | _framesCallback
double | _speed
unsigned int | _fps
unsigned int | _numberFrame
unsigned int | _loop
Status | _state
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osgAnimation::Action
typedef std::map< unsigned int, osg::ref_ptr< Callback > > | FrameCallback
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osgAnimation::Action
enum | Status { Play , Stop }
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Detailed Description

blend in from 0 to weight in duration

## Constructor & Destructor Documentation

## ActionBlendIn() [1/3]

osgAnimation::ActionBlendIn::ActionBlendIn | ( |  | ) |

Referenced by ActionBlendIn(), and META_Action().

## ActionBlendIn() [2/3]

osgAnimation::ActionBlendIn::ActionBlendIn | ( | const ActionBlendIn & | a,
|  | const osg::CopyOp & | c )

References ActionBlendIn().

## ActionBlendIn() [3/3]

osgAnimation::ActionBlendIn::ActionBlendIn | ( | Animation * | animation,
|  | double | duration,
|  | double | weight )

## Member Function Documentation

## computeWeight()

void osgAnimation::ActionBlendIn::computeWeight | ( | unsigned int | frame | ) |

## getAnimation()

Animation * osgAnimation::ActionBlendIn::getAnimation | ( |  | ) |

inline

References _animation.

## getWeight()

double osgAnimation::ActionBlendIn::getWeight | ( |  | ) | const

inline

References _weight.

## META_Action()

osgAnimation::ActionBlendIn::META_Action | ( | osgAnimation | ,
|  | ActionBlendIn | )

References ActionBlendIn().

## Member Data Documentation

## _animation

osg::ref_ptr<Animation> osgAnimation::ActionBlendIn::_animation

protected

Referenced by getAnimation().

## _weight

double osgAnimation::ActionBlendIn::_weight

protected

Referenced by getWeight().

The documentation for this class was generated from the following file:

- ActionBlendIn